#include <iostream>
#include <vector>

using namespace std;
int main()
{
    int t, n, k,p;
    cin >> t >> n >> k;
    vector<int> a(n);
    for (size_t i = 0; i < n; i++)
    {
        cin >> p;
        a[i] = p;
    }
    if (k == n)
        cout << "DA";
    else
        cout << "NE";
    if (t == 1 && k == n)
    {
        cout << '\n';
        for (size_t i = 0; i < n; i++)
        {
            cout << i + 1 << " ";
        }
    }
}